Bullet Collision Detection & Physics Library: btSoftBody::Joint Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | List of all members
btSoftBody::Joint Struct Referenceabstract

`#include <btSoftBody.h>`

Inheritance diagram for btSoftBody::Joint:
[legend]
Collaboration diagram for btSoftBody::Joint:
[legend]

## Classes
struct | eType
struct | Specs

## Public Member Functions
virtual | ~Joint ()
| Joint ()
virtual void | Prepare (btScalar dt, int iterations)
virtual void | Solve (btScalar dt, btScalar sor)=0
virtual void | Terminate (btScalar dt)=0
virtual eType::_ | Type () const =0

## Public Attributes
Body | m_bodies [2]
btVector3 | m_refs [2]
btScalar | m_cfm
btScalar | m_erp
btScalar | m_split
btVector3 | m_drift
btVector3 | m_sdrift
btMatrix3x3 | m_massmatrix
bool | m_delete

## Detailed Description

Definition at line 484 of file btSoftBody.h.

## Constructor & Destructor Documentation

virtual btSoftBody::Joint::~Joint | ( |  | ) |
| inlinevirtual

Definition at line 507 of file btSoftBody.h.

btSoftBody::Joint::Joint | ( |  | ) |
| inline

Definition at line 508 of file btSoftBody.h.

## Member Function Documentation

void btSoftBody::Joint::Prepare | ( | btScalar | dt,
|  | int | iterations
| ) |  |
| virtual

Reimplemented in btSoftBody::CJoint, btSoftBody::AJoint, and btSoftBody::LJoint.

Definition at line 2764 of file btSoftBody.cpp.

virtual void btSoftBody::Joint::Solve | ( | btScalar | dt,
|  | btScalar | sor
| ) |  |
| pure virtual

Implemented in btSoftBody::CJoint, btSoftBody::AJoint, and btSoftBody::LJoint.

virtual void btSoftBody::Joint::Terminate | ( | btScalar | dt | ) |
| pure virtual

Implemented in btSoftBody::CJoint, btSoftBody::AJoint, and btSoftBody::LJoint.

virtual eType::_ btSoftBody::Joint::Type | ( |  | ) | const
| pure virtual

Implemented in btSoftBody::CJoint, btSoftBody::AJoint, and btSoftBody::LJoint.

## Member Data Documentation

Body btSoftBody::Joint::m_bodies[2]

Definition at line 498 of file btSoftBody.h.

btScalar btSoftBody::Joint::m_cfm

Definition at line 500 of file btSoftBody.h.

bool btSoftBody::Joint::m_delete

Definition at line 506 of file btSoftBody.h.

btVector3 btSoftBody::Joint::m_drift

Definition at line 503 of file btSoftBody.h.

btScalar btSoftBody::Joint::m_erp

Definition at line 501 of file btSoftBody.h.

btMatrix3x3 btSoftBody::Joint::m_massmatrix

Definition at line 505 of file btSoftBody.h.

btVector3 btSoftBody::Joint::m_refs[2]

Definition at line 499 of file btSoftBody.h.

btVector3 btSoftBody::Joint::m_sdrift

Definition at line 504 of file btSoftBody.h.

btScalar btSoftBody::Joint::m_split

Definition at line 502 of file btSoftBody.h.

The documentation for this struct was generated from the following files:

- btSoftBody.h
- btSoftBody.cpp